Bug 451302

Summary: Review Request: kopete-bonjour
Product: [Fedora] Fedora Reporter: Tejas Dinkar <tejasdinkar>
Component: Package ReviewAssignee: Rex Dieter <rdieter>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, rdieter
Target Milestone: ---Flags: rdieter: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-14 06:04:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tejas Dinkar 2008-06-13 19:05:02 UTC
Spec URL: http://tejas.fedorapeople.org/src/kopete-bonjour.spec
SRPM URL: http://tejas.fedorapeople.org/src/kopete-bonjour-1.0.0-1.fc9.src.rpm
Description: 

This is the bonjour (iChat) protocol plugin for Kopete, which is KDE's instant messenger. The Code is hosted in KDE Extragear. I am the maintainer for the same.

The code is GPLv2 (or later)

As this is a plugin for kopete, there is very little user documentation or translation needed.

-- RPMLINT OUTPUT
$ rpmlint kopete-bonjour-1.0.0-1.fc9.i386.rpm
kopete-bonjour.i386: W: no-documentation
kopete-bonjour.i386: W: no-version-in-last-changelog

Comment 1 Rex Dieter 2008-06-16 15:42:18 UTC
Can this be built against kdenetwork-4.1 or 4.0 or both?

Comment 2 Tejas Dinkar 2008-06-16 16:12:03 UTC
It builds with trunk so I'm sure that it'll be able to build with kdenetwork 
4.1 as well. It uses mostly Qt APIs, and extends a few kopete classes

Comment 3 Rakesh Pandit 2008-09-03 16:10:54 UTC
@Rex
Are you interested in continuing this review ?
Thanks,

Comment 4 Rex Dieter 2008-09-04 14:53:40 UTC
Yes, but I won't have much free time this week.  If someone else wants to help out here, go for it.

Comment 6 Rex Dieter 2008-12-11 17:50:18 UTC
$ rpmlint *.rpm
kopete-bonjour.x86_64: W: no-documentation
kopete-bonjour.x86_64: W: no-version-in-last-changelog
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


1.  (cosmetic) drop needless %post/%postun scriptlets (no shlibs here), can do post review, before doing any official builds.

Looks clean, follows kde4 template, uses macros correctly.

I'll take your word for it wrt functionality (ie, it works), I can't test this myself right now.

APPROVED.

Comment 7 Tejas Dinkar 2008-12-11 18:03:38 UTC
New Package CVS Request
=======================
Package Name: kopete-bonjour
Short Description: Bonjour Plugin For Kopete in KDE 4.0 and 4.1
Owners: rdieter tejas
Branches: F-9 F-10
InitialCC:

Note: No devel branch needed, as this becomes a part of kopete in 4.2

Comment 8 Kevin Fenzi 2008-12-14 05:10:03 UTC
Sorry, a devel branch is always created. 
Please follow the http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife procedure for that branch. 

cvs done.